-- Auto Update
cb.add(cb.load,
function()
	local ToUpdate = {};
	ToUpdate.Version = 1.2;
	ToUpdate.UseHttps = true;
	ToUpdate.Host = "raw.githubusercontent.com";
	ToUpdate.VersionPath = "/GGauvain/GG-AIO-Public/master/GG-AIO.ver";
	ToUpdate.ScriptPath =  "/GGauvain/GG-AIO-Public/master/GG-AIO.zen";
	ToUpdate.SavePath = zenbot.path .. "scripts\\" .. module.path(header.id);

	ToUpdate.CallbackUpdate = function(NewVersion, OldVersion)
		chat.print("<font color=\"#FFFFFF\">GG-AIO: </font><font color=\"#FFFFFF\">Updated from v"..OldVersion.." to v"..NewVersion..". </b></font>")
		zenbot.reload();
	end -- function

	ToUpdate.CallbackNoUpdate = function(OldVersion)
		chat.print("<font color=\"#FFFFFF\">GG-AIO: </font><font color=\"#FFFFFF\">v"..OldVersion.." loaded. No updates found.</b></font>")
		-- onload
		module.load("GG-AIO", player.charName.."/main")
	end -- function

	ToUpdate.CallbackNewVersion = function(NewVersion)
		chat.print("<font color=\"#FFFFFF\">GG-AIO: </font><font color=\"#FFFFFF\">New version available ("..NewVersion.."). Please wait until it's downloaded.</b></font>")
	end -- function

	ToUpdate.CallbackError = function(NewVersion)
		chat.print("<font color=\"#FFFFFF\">GG-AIO: </font><font color=\"#FFFFFF\">Error while downloading "..NewVersion..". Please try again.</b></font>")
	end -- function

	module.load(header.id, "update")(
		ToUpdate.Version,
		ToUpdate.UseHttps,
		ToUpdate.Host,
		ToUpdate.VersionPath,
		ToUpdate.ScriptPath,
		ToUpdate.SavePath,
		ToUpdate.CallbackUpdate,
		ToUpdate.CallbackNoUpdate,
		ToUpdate.CallbackNewVersion,
		ToUpdate.CallbackError
	)
end
)